export function determinLoot(event) {
    const mobs = [
        { id: "minecraft:blaze", lootPath: "ss/hyd/vanilla/blaze" },
        { id: "minecraft:wither_skeleton", lootPath: "ss/hyd/vanilla/wither_skeleton" },
        { id: "minecraft:guardian", lootPath: "ss/hyd/vanilla/guardian" },
        { id: "minecraft:warden", lootPath: "ss/hyd/vanilla/warden" },
        { id: "minecraft:enderman", lootPath: "ss/hyd/vanilla/enderman" }
    ];
    let deadEntity = event.deadEntity;
    let deadEntityId = event.deadEntity.typeId;
    if (!mobs.some(mob => mob.id === deadEntityId)) {
        //world.sendMessage('§cexit early')
        return;
    }
    else {
        const mob = mobs.find(mob => mob.id === deadEntityId);
        if (mob) {
            deadEntity.runCommand(`/loot spawn ~ ~ ~ loot "${mob.lootPath}"`);
        }
    }
}
